## chasen 2.0

=== Makefile ===
#
#	Makefile for ChaSen
#
#	by k-chinen@is.aist-nara.ac.jp, Jun. 1994
#	last modified by akira-k@is.aist-nara.ac.jp, Sep. 1996
#
# Note:
#	you must execute make in ChaSen's top directory.
#

# --- commands & flags
CC	 = gcc
CFLAGS	 = -O2
CCOUT    = -o 
LDFLAGS  =
RM       = rm -f
CP       = cp
RANLIB   = `cat ../ranlibcmd`

# --- installation files and directories
CHASEN = chasen
BINDIR = /usr/local/bin
LIBDIR = /usr/local/lib/chasen
MKDICDIR = $(LIBDIR)/mkchadic
DICDIR = $(LIBDIR)/dic

# --- user definitions
#NO_MMAP = -DNO_MMAP        # your OS does not have mmap()
#CHASEN_PORT = -DCHASEN_PORT=31000

VGRAM   = -DVGRAM          # variable-gram support
#KOCHA   = -DKOCHA2 -DVGRAM # Korean language version
#SJIS	 = -DSJIS

RCPATH   = $(DICDIR)/chasenrc
SYSVER   = 2.0
DICNAME  = ipadic
DICVER   = 2.0
CONFIG_H = lib/config.h
PROTTEST = ./prottest.sh
NETLIBS = `cat ../netlibs`
SHELL    = /bin/sh
DEFS     = $(KOCHA) $(VGRAM) $(SJIS) $(NO_MMAP)
MAKE     = make
MFLAGS   = CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" RM="$(RM)" \
	   YACC="$(YACC)" CHASEN="$(CHASEN)" CCOUT="$(CCOUT)" \
	   NETLIBS="$(NETLIBS)" CHASEN_PORT="$(CHASEN_PORT)" \
	   RANLIB="$(RANLIB)"

all: $(CONFIG_H) netlibs ranlibcmd chasen

win:
	nmake MAKE="nmake" CC="cl" RANLIB="ranlib" CCOUT="-Fo" SJIS=-DSJIS NO_MMAP=-DNO_MMAP PROTTEST="echo" NETLIBS="wsock32.lib" config.win chasen.win

$(CONFIG_H): Makefile
	echo '#define RCPATH "$(RCPATH)"' > $(CONFIG_H)
	echo '#define VERSION "$(SYSVER)"' >> $(CONFIG_H)
	$(PROTTEST) "$(CC)" "$(RM)" $(CONFIG_H)

config.win:
	echo #define RCPATH "$(RCPATH)" > $(CONFIG_H)
	echo #define VERSION "$(SYSVER)" >> $(CONFIG_H)

netlibs: Makefile
	./chklibs.sh "$(CC)" "$(RM)" nsl socket > netlibs

ranlibcmd: Makefile
	./mkranlib.sh > ranlibcmd

vgram:
	$(MAKE) VGRAM=-DVGRAM

bigram:
	$(MAKE) VGRAM=

chasen::
	cd lib;      $(MAKE) $(MFLAGS) DEFS="$(DEFS)"
	cd mkchadic; $(MAKE) $(MFLAGS) DEFS="$(DEFS)"
	cd chasen;   $(MAKE) $(MFLAGS) DEFS="$(DEFS)"

chasen.win::
	cd lib
	$(MAKE) $(MFLAGS) DEFS="$(DEFS)" win
	cd ..\mkchadic
	$(MAKE) $(MFLAGS) DEFS="$(DEFS)" win
	cd ..\chasen
	$(MAKE) $(MFLAGS) DEFS="$(DEFS)" win
	cd ..

dic::
	cd dic;      $(MAKE) $(MFLAGS)

dic.win::
	cd dic
	$(MAKE) $(MFLAGS)
	cd ..

install:
	-mkdir -p $(LIBDIR)
	@if [ -f $(RCPATH) ]; then \
	  echo "$(RM) $(RCPATH)"; \
	  $(RM) $(RCPATH); fi
	cd chasen;   $(MAKE) CP="$(CP)" BINDIR="$(BINDIR)" install
	cd mkchadic; $(MAKE) CP="$(CP)" MKDICDIR="$(MKDICDIR)" install
	cd dic;      $(MAKE) CP="$(CP)" LIBDIR="$(LIBDIR)" MKDICDIR="$(MKDICDIR)" DICDIR="$(DICDIR)" install

clean:
	$(RM) $(CONFIG_H) netlibs ranlibcmd
	cd lib;      $(MAKE) RM="$(RM)" clean
	cd mkchadic; $(MAKE) RM="$(RM)" clean
	cd chasen;   $(MAKE) RM="$(RM)" clean

# for debug
sjis:
	qkc -s lib/chadic.h
	$(MAKE) SJIS=-DSJIS
	cp chasen/chasen chasen/chasen.sjis
	qkc -e lib/chadic.h

SYSFILES = Makefile README README.jp CHANGES prottest.sh \
	chklibs.sh chasen/Makefile chasen/*.[ch] chasen/chasen.el \
	lib/Makefile mkranlib.sh lib/*.[ch] \
	mkchadic/Makefile mkchadic/*.[ch] \
        prolog perl dic/Makefile dic/chasenrc \
	doc/*.tex doc/*.pdf
# doc/*.eps doc/tech/*.tex doc/tech/*.eps
DICFILES = dic/*.cha dic/*.dic dic/CHANGES dic/README.jp \
	dic/chasenrc dic/Makefile
WINFILES = README.txt Makefile.WIN chasen/Makefile.WIN lib/Makefile.WIN \
	mkchadic/Makefile.WIN wincha/*
LZHTMP = chasen.lzh.tmp

tar:
	$(RM) lib/config.h
	mkdir $(CHASEN)-$(SYSVER)
	-/usr/local/bin/cp -Ppr $(SYSFILES) $(DICFILES) $(CHASEN)-$(SYSVER)
	/usr/local/bin/tar czf $(CHASEN)-sys$(SYSVER)-$(DICNAME)$(DICVER).tar.gz $(CHASEN)-$(SYSVER)
	rm -rf $(CHASEN)-$(SYSVER)

tar.sys:
	$(RM) lib/config.h
	mkdir $(CHASEN)-$(SYSVER)
	-/usr/local/bin/cp -Ppr $(SYSFILES) $(CHASEN)-$(SYSVER)
	/usr/local/bin/tar czf $(CHASEN)-sys$(SYSVER).tar.gz $(CHASEN)-$(SYSVER)
	rm -rf $(CHASEN)-$(SYSVER)

tar.dic:
	tar cf $(CHASEN)-$(DICNAME)$(DICVER).tar $(DICFILES)

tar.src:
	tar cf $(CHASEN)-`date +%y%m%d`.src.tar $(SYSFILES) \
	CHANGES.memo

lzh.src:
	-mkdir $(LZHTMP)
	tar cf - $(SYSFILES) $(WINFILES) | tar xf - -C $(LZHTMP)
	(cd $(LZHTMP); \
	bison -y mkchadic/transdic.y; \
	mv y.tab.c mkchadic/transdic.c; \
	qkc -ms * */* */*/*.tech; \
	lha a $(CHASEN)-`date +%y%m%d`.lzh $(SYSFILES) $(WINFILES) mkchadic/transdic.c)
	mv $(LZHTMP)/($CHASEN)-`date +%y%m%d`.lzh .
	rm -rf $(LZHTMP)

=== chasen/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Makefile for ChaSen
#

CP      = cp
SHELL   = /bin/sh
BINDIR  = /usr/local/bin
RM      = rm -f

LIBDIR = ../lib
INCS   = -I$(LIBDIR)
CHALIB = $(LIBDIR)/libchasen.a
CHASEN = chasen
OBJS   = chasen.o client.o server.o
EXES   = $(CHASEN)

.c.o:
	$(CC) $(CFLAGS) $(INCS) $(CHASEN_PORT) $(DEFS) -c $(CCOUT)$@ $<

all: $(EXES)

win: all

$(CHASEN): $(OBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(CHALIB) $(NETLIBS)

chasmpl: chasmpl.o $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ chasmpl.o $(CHALIB) $(NETLIBS)

$(OBJS): $(LIBDIR)/chalib.h $(LIBDIR)/config.h

install: all
	-mkdir -p $(BINDIR)
	$(CP) $(CHASEN) $(BINDIR)

clean:
	$(RM) $(EXES) *.o core a.out

=== dic/Makefile ===
#
# Makefile for ChaSen's dictionary
#

CC            = gcc
RM            = rm -f
CP            = cp
MKDICDIR      = ../mkchadic
CONNECT_JM    = JUMAN.connect.c
CONNTMP_JM    = JUMAN.connect
CONNECT_CHA   = chasen.connect.c
CONNTMP_CHA   = chasen.connect
CONNECT_VCHA  = connect.cha
CONNTMP_VCHA  = _connect.cha
CONNTMP2_VCHA = _conncha.c
TABLE         = table.cha
MATRIX        = matrix.cha
SHELL         = /bin/sh
LIBDIR        = /usr/local/lib/chasen
DICDIR        = $(LIBDIR)/dic
MAKEINT       = makeint
MAKE          = make

all:
	@if [ -f $(CONNECT_VCHA) ]; then set -x; \
	  $(MAKE) CC="$(CC)" RM="$(RM)" CP="$(CP)" dic; \
	elif [ -f $(CONNECT_CHA) -o -f $(CONNECT_JM) ]; then set -x; \
	  $(MAKE) TABLE="chasen.table" MATRIX="chasen.matrix" CC="$(CC)" RM="$(RM)" CP="$(CP)" dic; \
	else set -x; \
	  $(MAKE) TABLE="" MATRIX="" CC="$(CC)" RM="$(RM)" CP="$(CP)" dic; \
	fi

dic: pat ary

$(CONNECT_JM):

$(CONNECT_CHA):

$(CONNECT_VCHA):

chasen.table chasen.matrix: $(CONNECT_CHA) $(CONNECT_JM)
	@if [ -f $(CONNECT_CHA) -o -f $(CONNECT_JM) ]; then set -x; \
	  $(CC) -E $< > $(CONNTMP_CHA); \
	  $(MKDICDIR)/makemat; \
	  $(RM) $(CONNTMP_CHA); \
	else exit 0; fi

table.cha matrix.cha: $(CONNECT_VCHA)
	@if [ -f $< ]; then set -x; \
	  $(CP) $< $(CONNTMP2_VCHA); \
	  $(CC) -E $(CONNTMP2_VCHA) > $(CONNTMP_VCHA); \
	  $(RM) $(CONNTMP2_VCHA); \
	  $(MKDICDIR)/makemat; \
	  $(RM) $(CONNTMP_VCHA); \
	else exit 0; fi

chadic.int: *.dic $(TABLE) $(MATRIX)
	$(MKDICDIR)/$(MAKEINT) *.dic > chadic.txt
	$(MKDICDIR)/sortdic chadic.txt > chadic.int
	$(RM) chadic.txt

pat: chadic.pat

chadic.pat: chadic.int
	$(MKDICDIR)/pattool -F chadic

ary: chadic.ary

chadic.ary: chadic.int
	$(MKDICDIR)/mkary -l -o chadic.ary chadic.int

install:
	-mkdir -p $(DICDIR)
	sed 's#^MKDICDIR.*$$#MKDICDIR=$(MKDICDIR)#' Makefile > $(DICDIR)/Makefile
	-$(CP) chasen.* *.cha chadic.* chasenrc $(DICDIR)

clean:
	$(RM) $(CONNTMP_JM) $(CONNTMP_CHA) $(CONNTMP_VCHA) $(CONNTMP2_VCHA) \
	table.cha matrix.cha chasen.table chasen.matrix chadic.*

=== lib/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Makefile for chadic (ChaSen dictionary) library
#

SHELL   = /bin/sh
AR      = ar

INCS = -I.
DICOBJS = connect.o getid.o grammar.o iotool.o katuyou.o zentohan.o lisp.o
CHAOBJS = chalib.o parse.o init.o print.o
PATOBJS = pat.o patfile.o
SUFOBJS = chfile.o select.o
OBJS = $(DICOBJS) $(CHAOBJS) $(PATOBJS) $(SUFOBJS) jfgets.o getopt.o

.c.o:
	$(CC) $(CFLAGS) $(INCS) $(DEFS) -c $(CCOUT)$@ $<

all: libchasen.a

win: sjis all

sjis:
	qkc -s chadic.h

libchasen.a: $(OBJS)
	$(AR) rc $@ $(OBJS)
	$(RANLIB) $@

$(DICOBJS): chadic.h
$(CHAOBJS): chadic.h chalib.h config.h pat.h
$(PATOBJS): pat.h
$(SUFOBJS): sufary.h

clean:
	$(RM) libchasen.a *.o core core.* a.out

=== mkchadic/Makefile ===
#
# Makefile for mkchadic
#

CP      = cp
MV      = mv -f
SHELL   = /bin/sh
LIBDIR  = /usr/local/lib/chasen

MKDICDIR = $(LIBDIR)/mkchadic
LIBDIR = ../lib
INCS = -I$(LIBDIR)
CHALIB = $(LIBDIR)/libchasen.a

MAKEINTOBJS = makeint.o trans.o
MAKEMATOBJS = makemat.o
TRANSDICOBJS = transdic.o
SORTDICOBJS = sortdic.o
CONVDICOBJS = convdic.o
PATOBJS     = interface.o morph.o
MKARYOBJS   = mkary.o
EXES = makemat sortdic convdic pattool makeint mkary

.c.o:
	$(CC) $(CFLAGS) $(INCS) $(DEFS) -c $(CCOUT)$@ $<

.y.o:
	$(YACC) $<
	$(CC) $(CFLAGS) $(INCS) $(DEFS) -c y.tab.c
	$(MV) y.tab.o $@ 
	$(RM) y.tab.c

all: $(EXES)

#win: all
win:

makeint: $(MAKEINTOBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(MAKEINTOBJS) $(CHALIB)

makemat: $(MAKEMATOBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(MAKEMATOBJS) $(CHALIB)

transdic: $(TRANSDICOBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(TRANSDICOBJS) $(CHALIB)

sortdic: $(SORTDICOBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(SORTDICOBJS) $(CHALIB)

convdic: $(CONVDICOBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(CONVDICOBJS) $(CHALIB)

pattool: $(PATOBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(PATOBJS) $(CHALIB)

mkary: $(MKARYOBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(MKARYOBJS) $(CHALIB)

$(MAKEINTOBJS) $(MAKEMATOBJS) $(SORTDICOBJS) $(CONVDICOBJS): $(LIBDIR)/chadic.h
$(PATOBJS): $(LIBDIR)/pat.h

install: all
	-mkdir $(MKDICDIR)
	$(CP) $(EXES) $(MKDICDIR)

clean:
	$(RM) $(EXES) *.o core a.out

## chasen 2.4.5

=== debian/changelog ===
chasen (2.4.5-40) unstable; urgency=medium

  * debian/control
    - Vcs-* move to salsa.debian.org 
    - use https for Homepage:
    - set Bulid-Depends: debhelper (>= 11), and drop unnecessary dh-autoreconf
      dependency (pulled automatically)
    - set Standards-Version: 4.1.3
  * debian/rules
    - drop "--with autoreconf"
    - specify "--no-parallel" to avoid FTBFS
  * debian/compat
    - set 11
  * debian/watch
    - update to version 4
  * debian/copyright
    - sort orders to ignore lintian warning
      "global-files-wildcard-not-first-paragraph-in-dep5-copyright"
  * debian/chasen-dictutils.lintian-overrides
    - drop it since it is unsed

  [NOKUBI Takatsugu]
  * debian/patches/0004-hide-cpp-symbols.patch: Remove incorrect pragma.

 -- Hideki Yamane <henrich@debian.org>  Tue, 06 Feb 2018 20:10:40 +0900

chasen (2.4.5-39) unstable; urgency=medium

  * d/p/chasen-initialize-memory.patch: Add, closes: #881231
  * debian/watch: New URL.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 10 Nov 2017 15:13:44 +0900

chasen (2.4.5-38.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix i386 symbols for gcc-7.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Aug 2017 16:00:02 -0400

chasen (2.4.5-38) unstable; urgency=medium

  * debian/libchasen2.symbols: Append optional C++ symbol for gcc-7,
    closes: #871179

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 08 Aug 2017 15:55:47 +0900

chasen (2.4.5-37) unstable; urgency=medium

  * debian/libchasen2.symbols: Append demangled C++ symbols.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 12 Jul 2017 08:10:49 +0000

chasen (2.4.5-36) unstable; urgency=medium

  * debian/libchasen2.symbols.i386: Use demangled C++ symbols.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 12 Jul 2017 07:10:47 +0000

chasen (2.4.5-35) unstable; urgency=medium

  * debian/libchasen2.symbols.i386: Regenerate, remove debian specific version.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 04 Jul 2017 07:03:59 +0000

chasen (2.4.5-34) unstable; urgency=medium

  * debian/rules: remove -pie flag on hardening flags, closes: #859354

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sun, 02 Apr 2017 23:12:17 +0000

chasen (2.4.5-33) unstable; urgency=medium

  * debian/patches/0004-hide-cpp-symbols.patch: remove more C++ symbols
    closes: #853346
  * debian/libchasen2.symbols*: remove symbols

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sun, 02 Apr 2017 23:11:19 +0000

chasen (2.4.5-32) unstable; urgency=medium

  * debian/libchasen2.symbols.alpha: update again
  * debian/libchasen2.symbols.m68k: update again
  * debian/libchasen2.symbols.powerpcspe: update

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 23 Nov 2016 22:05:55 +0000

chasen (2.4.5-31) unstable; urgency=medium

  * debian/libchasen2.symbols.alpha: update, closes: #845097
  * debian/libchasen2.symbols.m68k: update, closes: #845098

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 21 Nov 2016 22:06:13 +0000

chasen (2.4.5-30) unstable; urgency=medium

  * Hide darts C++ template instance symbols.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 21 Nov 2016 05:37:24 +0000

chasen (2.4.5-29) unstable; urgency=medium

  * Regenerate g++6 symbols for s390x.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 04 Oct 2016 02:32:32 +0000

chasen (2.4.5-28) unstable; urgency=medium

  * Regenerate g++6 symbols for arm*, mips* and powerpc, closes: #838016

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 04 Oct 2016 00:30:58 +0000

chasen (2.4.5-27) unstable; urgency=medium

  * Regenerate g++6 symbols for arm*, mips*, closes: #838016

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 20 Sep 2016 05:27:03 +0000

chasen (2.4.5-26) unstable; urgency=medium

  * Regenerate g++6 symbols for amd64, closes: #835038

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 23 Aug 2016 06:35:44 +0000

chasen (2.4.5-25) unstable; urgency=medium

  * Add g++6 symbols, closes: #811967

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 19 Jul 2016 07:20:58 +0000

chasen (2.4.5-24) unstable; urgency=medium

  * Revert to use dpkg-architecture in chasen-config

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sun, 14 Feb 2016 23:42:08 +0000

chasen (2.4.5-23) unstable; urgency=medium

  * Revert chasen-config moving.
  * Remove -L option in chasen-config.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 12 Feb 2016 06:20:10 +0000

chasen (2.4.5-22) unstable; urgency=medium

  * Move chasen-config from chasen-dictutils to libchasen-dev.
  * Fix arch dependend path in chasen-config.
  * debian/libchasen2.symbols: remove missing symbols, Closes: #811967

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 11 Feb 2016 23:48:15 +0000

chasen (2.4.5-21) unstable; urgency=medium

  * debian/libchasen2.symbols.sh4: removed, it would be close 779393.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 04 Mar 2015 06:08:17 +0000

chasen (2.4.5-20) unstable; urgency=medium

  * debian/libchasen2.symbols: mark sh4 symbols as optional Closes: #779393:

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 02 Mar 2015 04:00:35 +0000

chasen (2.4.5-19) unstable; urgency=medium

  * debian/libchasen2.symbols: mark a symbol as optional, closes #777815.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 13 Feb 2015 08:08:37 +0000

chasen (2.4.5-18) unstable; urgency=medium

  * fix stupid mistake, not install.*i386 but "symbols".*i386 

 -- Hideki Yamane <henrich@debian.org>  Sun, 04 Jan 2015 11:33:21 +0900

chasen (2.4.5-17) unstable; urgency=medium

  * revert previous change
  * add debian/libchasen2.symbols.kfreebsd-i386 and hurd-i386 

 -- Hideki Yamane <henrich@debian.org>  Sun, 04 Jan 2015 10:29:37 +0900

chasen (2.4.5-16) unstable; urgency=medium

  * use debian/libchasen2.symbols.i386 as debian/libchasen2.symbols and
    rename previous debian/libchasen2.symbols to debian/libchasen2.symbols.amd64 
    to fix build failure on kfreebsd-i386 and hurd-i386

 -- Hideki Yamane <henrich@debian.org>  Sun, 04 Jan 2015 09:03:39 +0900



=== debian/control ===
Source: chasen
Priority: optional
Section: misc
Maintainer: "Natural Language Processing, Japanese" <pkg-nlp-ja-devel@lists.alioth.debian.org>
Uploaders: NOKUBI Takatsugu <knok@daionet.gr.jp>,
           Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper (>= 11), darts (>= 0.3.2), perl
Standards-Version: 4.1.3
Homepage: https://chasen-legacy.osdn.jp/
Vcs-Git: https://salsa.debian.org/nlp-ja-team/chasen.git
Vcs-Browser: https://salsa.debian.org/nlp-ja-team/chasen

Package: libchasen-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libchasen2 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Replaces: chasen-dev
Conflicts: chasen-dev
Description: Japanese Morphological Analysis System (libraries and headers)
 ChaSen is a morphological analysis system. It can segment and
 tokenize Japanese text string, and can output with many additional
 information (pronunciation, semantic information, and others).
 .
 You can use ChaSen library to put ChaSen's module into other programs.

Package: libchasen2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libchasen0, libchasen0c2
Replaces: libchasen0, libchasen0c2
Recommends: naist-jdic-utf8 | naist-jdic | ipadic 
Description: Japanese Morphological Analysis System (shared libraries)
 ChaSen is a morphological analysis system. It can segment and
 tokenize Japanese text string, and can output with many additional
 information (pronunciation, semantic information, and others).
 .
 This package contains shared libraries for ChaSen.

Package: chasen
Architecture: any
Depends: ${shlibs:Depends}, naist-jdic-utf8 (>= 1:0.4.3-3) | naist-jdic (>= 1:0.4.3-3) | ipadic (>= 2.6.3), ${misc:Depends}
Description: Japanese Morphological Analysis System
 ChaSen is a morphological analysis system. It can segment and
 tokenize Japanese text string, and can output with many additional
 information (pronunciation, semantic information, and others).
 .
 It will print the result of such an operation to the standard output,
 so that it can be either written to a file or further processed.

Package: chasen-dictutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Japanese Morphological Analysis System - utilities for dictionary
 ChaSen is a morphological analysis system. It can segment and
 tokenize Japanese text string, and can output with many additional
 information (pronunciation, semantic information, and others).
 .
 This package contains dictionary utilities for ChaSen.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc --with-darts=/usr/include

override_dh_compress:
	dh_compress -X.pdf -X.tex

override_dh_install:
	dh_install
	sed -e 's/-L[^ ]* -lchasen/-lchasen/' chasen-config \
	> debian/chasen-dictutils/usr/bin/chasen-config

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4

opts="downloadurlmangle=s/sourceforge/iij.dl.sourceforge/;s/downloads\///;s/projects\///;s/gz\//gz/;s/xz\//xz/,\
uversionmangle=s/-beta/~beta/;s/-rc/~rc/;s/-preview/~preview/" \
 https://ja.osdn.net/projects/chasen-legacy/releases/ \
 /projects/chasen-legacy/downloads/.*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@/
